Subject: Re: MS_types and addr_t name polution
From: Michael Eager <[email-masked]>
To: [email-masked]
Date: Thu, 12 Dec 2002 14:22:20 -0800

Elfyn McBratney wrote:
> 
> Hi,
> 
> The addr_t type is used in memory managment (memory addresses??) in /usr/include/sys/mman.h. If you plan on using this (or is already on the code, mman.h i mean) you may have problems. What is the type of your addr_t? is it type char of * (pointer)?

Actually, mman.h uses caddr_t, not addr_t, at least in the cygwin 1.3.15
system I have installed.  Nothing in /usr/include appears to use addr_t.

My typedef of addr_t is for 64-bit int.

> If the code is open source you can just change the addr_t typedef name (in your source) to something else eg. addr2_t in all of your source files (a simple search and replace).

Yes, I renamed all references to addr_t to a different name.
It's just a nuisance and appears to be unnecessary name polution.

> 
> Elfyn
> [email-masked]
> 
> --- Michael Eager <[email-masked]> wrote:
> >I'm porting a small program to Cygwin.  One of the typedefs
> >in the program is for a symbol named addr_t.  Since this is
> >defined in /usr/include/sys/types.h, there is a redefinition
> >conflict.
> >
> >This (and a number of other symbols) are defined when __MS_types_
> >is defined, which, in turn, is defined whenever __CYGWIN__, _WIN32
> >or __MSDOS__ is defined.
> >
> >I don't see any use of addr_t in /usr/include.  Is there a reason
> >for defining addr_t and the other symbols?
> >
> >
> >--
> >Michael Eager     [email-masked]     408-328-8426
> >MontaVista Software, Inc. 1237 E. Arques Ave., Sunnyvale, CA  94085
> >
> >--
> >Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> >Bug reporting:         http://cygwin.com/bugs.html
> >Documentation:         http://cygwin.com/docs.html
> >FAQ:                   http://cygwin.com/faq/
> 
> _____________________________________________________________
> www.smokeJet.com - Free UK Internet Services
> 
> _____________________________________________________________
> Select your own custom email address for FREE! Get [email-masked] w/No Ads, 6MB, POP & more! http://www.everyone.net/selectmail?campaign=tag

--
Michael Eager     [email-masked]	408-328-8426	
MontaVista Software, Inc. 1237 E. Arques Ave., Sunnyvale, CA  94085

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/